form_field_opts(3X)

NAME
form_field_opts - set and get field options

SYNOPSIS
#include <form.h>
int set_field_opts(FIELD *field, OPTIONS opts);
int field_opts_on(FIELD *field, OPTIONS opts);
int field_opts_off(FIELD *field, OPTIONS opts);
OPTIONS field_opts(const FIELD *field);

DESCRIPTION
The function set_field_opts sets all the given field's option bits (field option bits may be logically-OR'ed together). The function field_opts_on turns on the given option bits, and leaves others alone. The function field_opts_off turns off the given option bits, and leaves others alone. The function field_opts returns the field's current option bits. The following options are defined (all are on by default):

O_VISIBLE
    The field is displayed. If this option is off, display of the field is suppressed,

O_ACTIVE
    The field is visited during processing. If this option is off, the field will not be reachable by navigation keys.

O_PUBLIC
    The field contents are displayed as data is entered.

O_EDIT
    The field can be edited.

O_WRAP
    Words that don't fit on a line are wrapped to the next line. Words are blank-separated.

O_BLANK
    The field is cleared whenever a character is entered at the first position.

O_AUTOSKIP
    Skip to the next field when this one fills

O_NULLOK
    Allow a blank field.

O_STATIC
    Field buffers are fixed to field's original size.

O_PASSOK
    Validate field only if modified by user.

RETURN VALUE
Except for field_opts, each routine returns one of the following:

E_OK
    The routine succeeded.

E_SYSTEM_ERROR
    System error occurred (see errno).

E_CURRENT
    The field is the current field.

SEE ALSO
curses(3X), form(3X).

NOTES
The header file <form.h> automatically includes the header file
    <curses.h>.

PORTABILITY
These routines emulate the System V forms library. They were not supported on Version 7 or BSD versions.

AUTHORS
Juergen Pfeifer. Manual pages and adaptation for new curses by Eric S. Raymond.